#!/bin/sh
#
# *** 2004/10/16 by T.Adachi (tadachi@tadachi-net.com) ***
#
# ~apache/.ivtvrc Ƥȡrootǰrecord-v4l2.pl ¹Ԥ
# ~/.ivtvrcǤΤǤ򥳥ԡ
# apache user  /home/httpd/html/tv_rec/ 񤭹褦ˤƤ
#

# time date input-device input-line channel rec_sec width height bitrate TOP_DIR SUB_DIR JPEGͥ(1: 0:ʤ) С(0:none 1:DivX5 2:VCD)
# ex) 18:47 9/10/2004 /dev/video0 "Tuner 0" 1 3600 640 480 8000000 8000000 /home/httpd/html/tv_rec/ Tuner_0-8-20040720-2200 1 0

EXPORT_HOME="export HOME=/home/httpd;"
EXPORT_PATH="export PATH=\"/bin:/usr/bin:/usr/X11R6/bin:/usr/local/bin\";"
if [ $5 -gt 12 ]
then
    FREQ_CONF="ntsc-cable-jp"
else
    FREQ_CONF="ntsc-bcast-jp"
fi

RECORD_CMD="/usr/local/bin/record-v4l2.pl --input $3 --inputname \"$4\" --channel $5 -t $6 --width $7 --height $8 --freqtable $FREQ_CONF --bitrate $9 --peakbitrate ${10} --directory ${11};"

case ${13} in
0) MK_JPEG_CMD="";;
1) MK_JPEG_CMD="/usr/local/bin/mplayer -vo jpeg -jpeg outdir=\"${11}/${12}/\" -ao null -sstep 5 -frames 10 ${11}/${12}/video.mpg;"
esac

case ${14} in
0) CONV_CMD="";;
1) CONV_CMD="/usr/local/bin/tr_mpg2tompg4.sh \"${11}/${12}/video.mpg\" $7 $8;";;
2) CONV_CMD="/usr/local/bin/ff_mpeg2vcd.sh \"${11}/${12}/video.mpg\";";;
esac

START_RECORD="/usr/local/bin/ivtv_web_rec_fin.pl rec start \"${11}\" \"${12}\";"
END_RECORD="/usr/local/bin/ivtv_web_rec_fin.pl rec end \"${11}\" \"${12}\";"
END_MK_JPG="/usr/local/bin/ivtv_web_rec_fin.pl jpg end \"${11}\" \"${12}\";"
START_CONVERT="/usr/local/bin/ivtv_web_rec_fin.pl conv start \"${11}\" \"${12}\";"
END_CONVERT="/usr/local/bin/ivtv_web_rec_fin.pl conv end \"${11}\" \"${12}\";"
#FIN_RECORD=""
#FIN_CONVERT=""

# define HOME for record-v4l2.pl and MPlayer
#HOME=/home/httpd

# 
echo "($EXPORT_HOME$EXPORT_PATH$START_RECORD$RECORD_CMD$END_RECORD$MK_JPEG_CMD$END_MK_JPG$START_CONVERT$CONV_CMD$END_CONVERT) > /dev/null 2>&1" | at $1 $2

# mail to apache for debug
#echo "($EXPORT_HOME$EXPORT_PATH$START_RECORD$RECORD_CMD$END_RECORD$MK_JPEG_CMD$END_MK_JPGSTART_CONVERT$CONV_CMD$END_CONVERT)" | at $1 $2


#for debug
#echo "($EXPORT_HOME$EXPORT_PATH$START_RECORD$RECORD_CMD$END_RECORD$MK_JPEG_CMD$END_MK_JPG$START_CONVERT$CONV_CMD$END_CONVERT) > /dev/null 2>&1" > /tmp/batch.txt
